---
name: Bug Report
about: Report a bug here, or email leo.mccormack(at)aalto.fi
labels: bug
---

Please replace every line in curly brackets { like this } with appropriate answers, and remove this line.

## Description

{ Please provide a clear and concise description of the bug. }

## Environment

1. OS: { e.g. MacOSX 10.?, Windows 10, MSYS2, Ubuntu 20.04, etc. }
2. Compiler: { e.g. Clang, GCC, MSVC, etc. }
3. SAF performance library being used: { e.g. SAF_USE_INTEL_MKL, SAF_USE_APPLE_ACCELERATE, etc. }
4. Any optional SAF flags enabled: { e.g. SAF_USE_TRACKER_MODULE, SAF_USE_INTEL_IPP, etc. }
5. Other environment details: { e.g. IDE, CMake, etc.  }

## Reproducible Steps

Steps to create the smallest reproducible scenario:
1. { e.g. Build SAF with above environment... }
2. { e.g. Call saf_function() with the following input arguments: [   ]... }
3. { e.g. Perhaps doing something with output... }
4. { e.g. Error appears (hard crash),  or behaviour is unexpected... }

## Expected Output

{ Please describe what you expected to happen. }

## Actual Output

{ Please describe what actually happened. }
 
## Additional information

{ Any additional information, including logs or screenshots if you have any. }
